
Infrastructure - Story #2002

Create test for use of LocalCache in libclient

2011-11-05 17:17 - Matthew Jones

Status: Rejected Start date: 2014-10-02

Priority: Normal Due date: 2014-11-19

Assignee: Rob Nahf % Done: 0%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

could be integration test or unit test.  

History

#1 - 2011-11-15 04:10 - Dave Vieglais

- Target version set to Sprint-2011.47-Block.6

- Position set to 1

- Position deleted (21)

#2 - 2011-11-28 18:50 - Dave Vieglais

- Position deleted (15)

- Position changed from 1 to 322

- Position set to 1

- Target version changed from Sprint-2011.47-Block.6 to Sprint-2011.48-Block.6

#3 - 2011-12-05 19:15 - Matthew Jones

- Position deleted (325)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position set to 18

#4 - 2011-12-19 18:22 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2012.03-Block.1.2

- Position set to 1

- Position deleted (31)

#5 - 2011-12-19 18:23 - Dave Vieglais

- Position deleted (1)

- Position changed from 1 to 329

- Target version deleted (Sprint-2012.03-Block.1.2)

- Position set to 1

#6 - 2014-10-02 17:41 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2014-10-02

- Target version set to Maintenance Backlog

- Start date set to 2014-10-02

#7 - 2014-11-19 18:29 - Rob Nahf
- Description updated

- Subject changed from Create integration test for use of LocalCache in libclient to Create test for use of LocalCache in libclient

- Milestone changed from CCI-0.6.4 to None

- Assignee set to Rob Nahf

- Due date changed from 2014-10-02 to 2014-11-19

#8 - 2015-02-27 22:29 - Rob Nahf

- Category set to d1_libclient_java

#9 - 2016-04-19 22:30 - Rob Nahf

- Status changed from New to Rejected

JCS / LocalCache is slated for removal from libclient due to the advent of series identifiers.  (we can't make the same assertions that the object bytes

behind an identifier are the same).

#10 - 2016-04-19 22:41 - Matthew Jones

Note that we could still be caching based on the PID in the sysmeta, which will still exist, even for objects with SIDs.  So technically this could still be

useful.

But still, I think its fine as long as we check and fix all apps that depend on that caching behavior -- someone will need to review Metacat and other

stacks.   

This would be a breaking change for anyone external to DataONE who relied on caching, so we should bump the major version number in libclient to

3.x, and make sure that we've documented the change.  In general, I would prefer that a major change in behavior like this first be deprecated

through a round of versions so people have time to update their codebases.  So, keep it but deprecate it now, then remove it after a suitable time

period and with notice.  Generally good behavior for software that you want people to use and build upon.
